Skip to main content
GET
/
v1
/
replica
/
{id}
Get Replica
curl --request GET \
  --url https://api.replicas.dev/v1/replica/{id} \
  --header 'Authorization: Bearer <token>'
{
  "replica": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "status": "active",
    "source": "api",
    "created_at": "2023-11-07T05:31:56Z",
    "last_activity_at": "2023-11-07T05:31:56Z",
    "repositories": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "url": "<string>"
      }
    ],
    "pull_requests": [
      {
        "repository": "<string>",
        "number": 123,
        "url": "<string>"
      }
    ],
    "coding_agent": "claude",
    "repository_statuses": [
      {
        "repository": "<string>",
        "branch": "<string>",
        "default_branch": "<string>",
        "pr_url": "<string>",
        "start_hooks_completed": true,
        "git_diff": {
          "added": 123,
          "removed": 123,
          "full_diff": "<string>"
        }
      }
    ],
    "waking": true,
    "chats": [
      {
        "id": "<string>",
        "provider": "claude",
        "title": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "processing": true
      }
    ],
    "environment": {
      "engine_version": "<string>",
      "files_uploaded": [
        "<string>"
      ],
      "env_vars_set": [
        "<string>"
      ],
      "skills_installed": [
        "<string>"
      ],
      "integrations": {
        "github": true,
        "linear": true,
        "slack": true
      },
      "coding_agents": {
        "claude": {
          "available": true,
          "auth_method": "<string>"
        },
        "codex": {
          "available": true,
          "auth_method": "<string>"
        }
      },
      "hooks": {
        "global_warm_hook": {
          "status": "<string>",
          "details": "<string>"
        },
        "repositories": [
          {
            "repository_name": "<string>",
            "warm_hook": "<string>",
            "start_hook": "<string>"
          }
        ]
      },
      "last_updated_at": "2023-11-07T05:31:56Z"
    }
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Settings > API Keys.

Path Parameters

id
string<uuid>
required

The unique identifier of the replica

Query Parameters

include
string

Comma-separated list of additional fields to include in the response

Example:

"environment,diffs"

Response

Successful response

replica
object
required

Detailed replica information including engine status and environment